Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.tags.form
Class FormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              org.springframework.web.servlet.tags.HtmlEscapingAwareTag
                  org.springframework.web.servlet.tags.form.AbstractFormTag
                      org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
                          org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
                              org.springframework.web.servlet.tags.form.FormTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally, EditorAwareTag

    public class FormTag

extends AbstractHtmlElementTag

Databinding-aware JSP tag for rendering an HTML '`form`' whose inner elements are bound to properties on a form object.

Users should place the form object into the `ModelAndView` when populating the data for their view. The name of this form object can be configured using the `"modelAttribute"` property.

The default value for the `"modelAttribute"` property is '`command`' which corresponds to the default name when using the `SimpleFormController`.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller, Scott Andrews
See Also:
  `SimpleFormController`, Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_COMMAND_NAME` The default attribute name: "command"
`static java.lang.String` | `MODEL_ATTRIBUTE_VARIABLE_NAME` The name of the `PageContext` attribute under which the form object name is exposed.

Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
`COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`protected java.lang.String` | `autogenerateId()` Autogenerated IDs correspond to the form object name.
`int` | `doEndTag()` Closes the '`form`' block tag and removes the form object name from the `PageContext`.
`void` | `doFinally()` Clears the stored `TagWriter`.
`protected java.lang.String` | `getAcceptCharset()` Get the value of the '`acceptCharset`' attribute.
`protected java.lang.String` | `getAction()` Get the value of the '`action`' attribute.
`protected java.lang.String` | `getAutocomplete()` Get the value of the '`autocomplete`' attribute.
`protected java.lang.String` | `getCommandName()` Get the name of the form attribute in the model.
`protected java.lang.String` | `getEnctype()` Get the value of the '`enctype`' attribute.
`protected java.lang.String` | `getMethod()` Get the value of the '`method`' attribute.
`protected java.lang.String` | `getMethodParameter()` Get the name of the request param for non-browser supported HTTP methods.
`protected java.lang.String` | `getModelAttribute()` Get the name of the form attribute in the model.
`protected java.lang.String` | `getName()` Get the value of the '`name`' attribute.
`protected java.lang.String` | `getOnreset()` Get the value of the '`onreset`' attribute.
`protected java.lang.String` | `getOnsubmit()` Get the value of the '`onsubmit`' attribute.
`java.lang.String` | `getTarget()` Get the value of the '`target`' attribute.
`protected boolean` | `isMethodBrowserSupported(java.lang.String method)` Determine if the HTTP method is supported by browsers (i.e.
`protected java.lang.String` | `resolveAction()` Resolve the value of the '`action`' attribute.
`protected java.lang.String` | `resolveCssClass()` Override resolve CSS class since error class is not supported.
`protected java.lang.String` | `resolveModelAttribute()` `Resolves` and returns the name of the form object.
`void` | `setAcceptCharset(java.lang.String acceptCharset)` Set the value of the '`acceptCharset`' attribute.
`void` | `setAction(java.lang.String action)` Set the value of the '`action`' attribute.
`void` | `setAutocomplete(java.lang.String autocomplete)` Set the value of the '`autocomplete`' attribute.
`void` | `setCommandName(java.lang.String commandName)` Set the name of the form attribute in the model.
`void` | `setCssErrorClass(java.lang.String cssErrorClass)` Unsupported for forms.
`void` | `setEnctype(java.lang.String enctype)` Set the value of the '`enctype`' attribute.
`void` | `setMethod(java.lang.String method)` Set the value of the '`method`' attribute.
`void` | `setMethodParam(java.lang.String methodParam)` Set the name of the request param for non-browser supported HTTP methods.
`void` | `setModelAttribute(java.lang.String modelAttribute)` Set the name of the form attribute in the model.
`void` | `setName(java.lang.String name)` Set the value of the '`name`' attribute.
`void` | `setOnreset(java.lang.String onreset)` Set the value of the '`onreset`' attribute.
`void` | `setOnsubmit(java.lang.String onsubmit)` Set the value of the '`onsubmit`' attribute.
`void` | `setPath(java.lang.String path)` Unsupported for forms.
`void` | `setTarget(java.lang.String target)` Set the value of the '`target`' attribute.
`protected int` | `writeTagContent(TagWriter tagWriter)` Writes the opening part of the block '`form`' tag and exposes the form object name in the `PageContext`.

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, isValidDynamicAttribute, setCssClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes, writeOptionalAttributes`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
`convertToDisplayString, getBindStatus, getBoundValue, getEditor, getId, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag
`createTagWriter, doStartTagInternal, evaluate, evaluateBoolean, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag
`isHtmlEscape, setHtmlEscape`

Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`doCatch, doStartTag, getRequestContext`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COMMAND_NAME

    public static final java.lang.String DEFAULT_COMMAND_NAME

  The default attribute name: "command"

  See Also:
    Constant Field Values

### MODEL_ATTRIBUTE_VARIABLE_NAME

    public static final java.lang.String MODEL_ATTRIBUTE_VARIABLE_NAME

  The name of the `PageContext` attribute under which the form object name is exposed.

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### setModelAttribute

    public void setModelAttribute(java.lang.String modelAttribute)

  Set the name of the form attribute in the model.

  May be a runtime expression.

### getModelAttribute

    protected java.lang.String getModelAttribute()

  Get the name of the form attribute in the model.

### setCommandName

    public void setCommandName(java.lang.String commandName)

  Set the name of the form attribute in the model.

  May be a runtime expression.

  See Also:
    `setModelAttribute(java.lang.String)`

### getCommandName

    protected java.lang.String getCommandName()

  Get the name of the form attribute in the model.

  See Also:
    `getModelAttribute()`

### setName

    public void setName(java.lang.String name)

  Set the value of the '`name`' attribute.

  May be a runtime expression.

  Name is not a valid attribute for form on XHTML 1.0. However, it is sometimes needed for backward compatibility.

### getName

    protected java.lang.String getName()
                                throws javax.servlet.jsp.JspException

  Get the value of the '`name`' attribute.

  Overrides:
    `getName` in class `AbstractDataBoundFormElementTag`
  Returns:
    the value for the HTML '`name`' attribute
  Throws:
    `javax.servlet.jsp.JspException`

### setAction

    public void setAction(java.lang.String action)

  Set the value of the '`action`' attribute.

  May be a runtime expression.

### getAction

    protected java.lang.String getAction()

  Get the value of the '`action`' attribute.

### setMethod

    public void setMethod(java.lang.String method)

  Set the value of the '`method`' attribute.

  May be a runtime expression.

### getMethod

    protected java.lang.String getMethod()

  Get the value of the '`method`' attribute.

### setTarget

    public void setTarget(java.lang.String target)

  Set the value of the '`target`' attribute.

  May be a runtime expression.

### getTarget

    public java.lang.String getTarget()

  Get the value of the '`target`' attribute.

### setEnctype

    public void setEnctype(java.lang.String enctype)

  Set the value of the '`enctype`' attribute.

  May be a runtime expression.

### getEnctype

    protected java.lang.String getEnctype()

  Get the value of the '`enctype`' attribute.

### setAcceptCharset

    public void setAcceptCharset(java.lang.String acceptCharset)

  Set the value of the '`acceptCharset`' attribute.

  May be a runtime expression.

### getAcceptCharset

    protected java.lang.String getAcceptCharset()

  Get the value of the '`acceptCharset`' attribute.

### setOnsubmit

    public void setOnsubmit(java.lang.String onsubmit)

  Set the value of the '`onsubmit`' attribute.

  May be a runtime expression.

### getOnsubmit

    protected java.lang.String getOnsubmit()

  Get the value of the '`onsubmit`' attribute.

### setOnreset

    public void setOnreset(java.lang.String onreset)

  Set the value of the '`onreset`' attribute.

  May be a runtime expression.

### getOnreset

    protected java.lang.String getOnreset()

  Get the value of the '`onreset`' attribute.

### setAutocomplete

    public void setAutocomplete(java.lang.String autocomplete)

  Set the value of the '`autocomplete`' attribute. May be a runtime expression.

### getAutocomplete

    protected java.lang.String getAutocomplete()

  Get the value of the '`autocomplete`' attribute.

### setMethodParam

    public void setMethodParam(java.lang.String methodParam)

  Set the name of the request param for non-browser supported HTTP methods.

### getMethodParameter

    protected java.lang.String getMethodParameter()

  Get the name of the request param for non-browser supported HTTP methods.

### isMethodBrowserSupported

    protected boolean isMethodBrowserSupported(java.lang.String method)

  Determine if the HTTP method is supported by browsers (i.e. GET or POST).

### writeTagContent

    protected int writeTagContent(TagWriter tagWriter)
                           throws javax.servlet.jsp.JspException

  Writes the opening part of the block '`form`' tag and exposes the form object name in the `PageContext`.

  Specified by:
    `writeTagContent` in class `AbstractFormTag`
  Parameters:
    `tagWriter` - the `TagWriter` to which the form content is to be written
  Returns:
    `Tag.EVAL_BODY_INCLUDE`
  Throws:
    `javax.servlet.jsp.JspException`

### autogenerateId

    protected java.lang.String autogenerateId()
                                       throws javax.servlet.jsp.JspException

  Autogenerated IDs correspond to the form object name.

  Overrides:
    `autogenerateId` in class `AbstractDataBoundFormElementTag`
  Throws:
    `javax.servlet.jsp.JspException`

### resolveModelAttribute

    protected java.lang.String resolveModelAttribute()
                                              throws javax.servlet.jsp.JspException

  `Resolves` and returns the name of the form object.

  Throws:
    `java.lang.IllegalArgumentException` - if the form object resolves to `null`
    `javax.servlet.jsp.JspException`

### resolveAction

    protected java.lang.String resolveAction()
                                      throws javax.servlet.jsp.JspException

  Resolve the value of the '`action`' attribute.

  If the user configured an '`action`' value then the result of evaluating this value is used. Otherwise, the `originating URI` is used.

  Returns:
    the value that is to be used for the '`action`' attribute
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Closes the '`form`' block tag and removes the form object name from the `PageContext`.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doFinally

    public void doFinally()

  Clears the stored `TagWriter`.

  Specified by:
    `doFinally` in interface `javax.servlet.jsp.tagext.TryCatchFinally`
  Overrides:
    `doFinally` in class `AbstractDataBoundFormElementTag`

### resolveCssClass

    protected java.lang.String resolveCssClass()
                                        throws javax.servlet.jsp.JspException

  Override resolve CSS class since error class is not supported.

  Overrides:
    `resolveCssClass` in class `AbstractHtmlElementTag`
  Throws:
    `javax.servlet.jsp.JspException`

### setPath

    public void setPath(java.lang.String path)

  Unsupported for forms.

  Overrides:
    `setPath` in class `AbstractDataBoundFormElementTag`
  Throws:
    `java.lang.UnsupportedOperationException` - always

### setCssErrorClass

    public void setCssErrorClass(java.lang.String cssErrorClass)

  Unsupported for forms.

  Overrides:
    `setCssErrorClass` in class `AbstractHtmlElementTag`
  Throws:
    `java.lang.UnsupportedOperationException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD